-------------------------------------------------------------------------------
--
-- Title       : multiplexer
-- Design      : addressable_architecture
-- Author      : Vegard
-- Company     : NTNU
-- Description : 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.std_logic_unsigned.all;

entity multiplexer is
	generic(
		C_NOI : natural := 4;
		C_SIG_SIZE : natural :=32;
		C_ADDR_SIZE	 : natural := 8
	);							   
	port(
		input			: in std_logic_vector(C_NOI*C_SIG_SIZE-1 downto 0);
		addr			: in std_logic_vector(C_ADDR_SIZE-1 downto 0);
		output 		  	: out std_logic_vector(C_SIG_SIZE-1 downto 0) 
	);
end multiplexer;


architecture multiplexer of multiplexer is
begin
	
	MULTIPLEX_PROC : process (addr,input) is
	begin
		for i in C_NOI-1 downto 0 loop
			if addr = i  then
				output <= input(C_SIG_SIZE*(i+1)-1 downto C_SIG_SIZE*(i));
			end if;		
		end loop;
	end process MULTIPLEX_PROC;	
	
	

end multiplexer;
