-------------------------------------------------------------------------------
--
-- Title       : paralell_regiter
-- Design      : parallel_registers
-- Author      : Vegard Endresen
-- Company     : NTNU
-- Description : Parallel register with full I/O witdh
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity parallel_register is
	generic(C_SIZE : natural :=8);
	port(	   
		clk		: in  std_logic;
		write	: in  std_logic;
		data_i  : in  std_logic_vector(C_SIZE-1 downto 0);
		data_o	: out std_logic_vector(C_SIZE-1 downto 0)
	);

end parallel_register;


architecture RTL of parallel_register is

signal memory : std_logic_vector(C_SIZE-1 downto 0);
begin
	
	data_o <= memory;
	write_proc : process(clk) is 
	
	begin  
		if clk'event and clk ='1' then
			if write = '1' then 
				memory <= data_i;
			end if;
		end if;
		
	end process write_proc;
	
end RTL;
