--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     
--  \   \         
--  /   /         
-- /___/   /\     
-- \   \  /  \ 
--  \___\/\___\
--             
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;


entity busmacro_xc2vp_l2r_sync_wide is
  port (
    clk0 : in STD_LOGIC := 'X'; 
    clk1 : in STD_LOGIC := 'X'; 
    clk2 : in STD_LOGIC := 'X'; 
    clk3 : in STD_LOGIC := 'X'; 
    ce0 : in STD_LOGIC := 'X'; 
    ce1 : in STD_LOGIC := 'X'; 
    ce2 : in STD_LOGIC := 'X'; 
    ce3 : in STD_LOGIC := 'X'; 
    input0 : in STD_LOGIC := 'X'; 
    input1 : in STD_LOGIC := 'X'; 
    input2 : in STD_LOGIC := 'X'; 
    input3 : in STD_LOGIC := 'X'; 
    input4 : in STD_LOGIC := 'X'; 
    input5 : in STD_LOGIC := 'X'; 
    input6 : in STD_LOGIC := 'X'; 
    input7 : in STD_LOGIC := 'X'; 
    output0 : out STD_LOGIC; 
    output1 : out STD_LOGIC; 
    output2 : out STD_LOGIC; 
    output3 : out STD_LOGIC; 
    output4 : out STD_LOGIC; 
    output5 : out STD_LOGIC; 
    output6 : out STD_LOGIC; 
    output7 : out STD_LOGIC 
  );
end busmacro_xc2vp_l2r_sync_wide;

architecture Structure of busmacro_xc2vp_l2r_sync_wide is
  signal bus_macro_instance_ff_line6 : STD_LOGIC; 
  signal bus_macro_instance_ff_line7 : STD_LOGIC; 
  signal bus_macro_instance_ff_line4 : STD_LOGIC; 
  signal bus_macro_instance_ff_line5 : STD_LOGIC; 
  signal bus_macro_instance_ff_line2 : STD_LOGIC; 
  signal bus_macro_instance_ff_line3 : STD_LOGIC; 
  signal bus_macro_instance_ff_line0 : STD_LOGIC; 
  signal bus_macro_instance_ff_line1 : STD_LOGIC; 
  signal bus_macro_instance_line7 : STD_LOGIC; 
  signal bus_macro_instance_line3 : STD_LOGIC; 
  signal bus_macro_instance_line6 : STD_LOGIC; 
  signal bus_macro_instance_line2 : STD_LOGIC; 
  signal bus_macro_instance_line1 : STD_LOGIC; 
  signal bus_macro_instance_line5 : STD_LOGIC; 
  signal bus_macro_instance_line0 : STD_LOGIC; 
  signal bus_macro_instance_line4 : STD_LOGIC; 
  signal VCC : STD_LOGIC:='1'; 
  signal GND : STD_LOGIC:='0'; 
begin
  bus_macro_instance_slice0_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input0,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line0
    );
  bus_macro_instance_slice0_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input1,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line4
    );
  bus_macro_instance_slice1_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input2,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line1
    );
  bus_macro_instance_slice1_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input3,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line5
    );
  bus_macro_instance_slice2_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input4,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line6
    );
  bus_macro_instance_slice2_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input5,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line2
    );
  bus_macro_instance_slice3_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input6,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line7
    );
  bus_macro_instance_slice3_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input7,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line3
    );
  bus_macro_instance_slice4_G_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      I0 => VCC,
      I1 => VCC,
      I2 => VCC,
      I3 => bus_macro_instance_line0,
      O => bus_macro_instance_ff_line0
    );
  bus_macro_instance_slice4_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line0,
      CE => ce0,
      C => clk0,
      CLR => GND,
      Q => output0
    );
  bus_macro_instance_slice4_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => bus_macro_instance_line4,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_ff_line1
    );
  bus_macro_instance_slice4_FFX_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line1,
      CE => ce0,
      C => clk0,
      CLR => GND,
      Q => output1
    );
  bus_macro_instance_slice5_G_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      I0 => VCC,
      I1 => VCC,
      I2 => bus_macro_instance_line1,
      I3 => VCC,
      O => bus_macro_instance_ff_line2
    );
  bus_macro_instance_slice5_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line2,
      CE => ce1,
      C => clk1,
      CLR => GND,
		Q => output2
    );
  bus_macro_instance_slice5_F_LUT4 : LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      I0 => VCC,
      I1 => bus_macro_instance_line5,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_ff_line3
    );
  bus_macro_instance_slice5_FFX_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line3,
      CE => ce1,
      C => clk1,
      CLR => GND,
      Q => output3
    );
  bus_macro_instance_slice6_G_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      I0 => VCC,
      I1 => VCC,
      I2 => bus_macro_instance_line6,
      I3 => VCC,
      O => bus_macro_instance_ff_line4
    );
  bus_macro_instance_slice6_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line4,
      CE => ce2,
      C => clk2,
      CLR => GND,
      Q => output4
    );
  bus_macro_instance_slice6_F_LUT4 : LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      I0 => VCC,
      I1 => bus_macro_instance_line2,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_ff_line5
    );
  bus_macro_instance_slice6_FFX_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line5,
      CE => ce2,
      C => clk2,
      CLR => GND,
      Q => output5
    );
  bus_macro_instance_slice7_G_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      I0 => VCC,
      I1 => VCC,
      I2 => VCC,
      I3 => bus_macro_instance_line7,
      O => bus_macro_instance_ff_line6
    );
  bus_macro_instance_slice7_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line6,
      CE => ce3,
      C => clk3,
      CLR => GND,
      Q => output6
    );
  bus_macro_instance_slice7_F_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      I0 => VCC,
      I1 => VCC,
      I2 => bus_macro_instance_line3,
      I3 => VCC,
      O => bus_macro_instance_ff_line7
    );
  bus_macro_instance_slice7_FFX_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_ff_line7,
      CE => ce3,
      C => clk3,
      CLR => GND,
      Q => output7
    );
end Structure;

