--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     
--  \   \         
--  /   /         
-- /___/   /\     
-- \   \  /  \ 
--  \___\/\___\
--             
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;


entity busmacro_xc2vp_r2l_async_wide is
  port (
    input0 : in STD_LOGIC := 'X'; 
    input1 : in STD_LOGIC := 'X'; 
    input2 : in STD_LOGIC := 'X'; 
    input3 : in STD_LOGIC := 'X'; 
    input4 : in STD_LOGIC := 'X'; 
    input5 : in STD_LOGIC := 'X'; 
    input6 : in STD_LOGIC := 'X'; 
    input7 : in STD_LOGIC := 'X'; 
    output0 : out STD_LOGIC; 
    output1 : out STD_LOGIC; 
    output2 : out STD_LOGIC; 
    output3 : out STD_LOGIC; 
    output4 : out STD_LOGIC; 
    output5 : out STD_LOGIC; 
    output6 : out STD_LOGIC; 
    output7 : out STD_LOGIC 
  );
end busmacro_xc2vp_r2l_async_wide;

architecture Structure of busmacro_xc2vp_r2l_async_wide is
  signal simple_bus_macro_line7 : STD_LOGIC; 
  signal simple_bus_macro_line3 : STD_LOGIC; 
  signal simple_bus_macro_line6 : STD_LOGIC; 
  signal simple_bus_macro_line2 : STD_LOGIC; 
  signal simple_bus_macro_line1 : STD_LOGIC; 
  signal simple_bus_macro_line5 : STD_LOGIC; 
  signal simple_bus_macro_line0 : STD_LOGIC; 
  signal simple_bus_macro_line4 : STD_LOGIC; 
  signal VCC1 : STD_LOGIC:='1'; 
begin
  simple_bus_macro_slice0_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input0,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line0
    );
  simple_bus_macro_slice0_F_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line4
    );

  simple_bus_macro_slice1_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input2,
      I1 => VCC1,
      I2 => VCC1,
		I3 => VCC1,
      O => simple_bus_macro_line1
    );
  simple_bus_macro_slice1_F_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input3,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line5
    );
  simple_bus_macro_slice2_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input4,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line6
    );
  simple_bus_macro_slice2_F_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input5,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line2
    );
  simple_bus_macro_slice3_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input6,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line7
    );
  simple_bus_macro_slice3_F_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input7,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => simple_bus_macro_line3
		);
  simple_bus_macro_slice4_G_X_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => simple_bus_macro_line0,
      O => output0
    );
  simple_bus_macro_slice4_F_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => simple_bus_macro_line4,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => output1    
		);
  simple_bus_macro_slice5_G_X_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => simple_bus_macro_line1,
      I3 => VCC1,
      O => output2
    );
  simple_bus_macro_slice5_F_X_LUT4 : LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      I0 => VCC1,
      I1 => simple_bus_macro_line5,
      I2 => VCC1,
      I3 => VCC1,
      O => output3
    );
  simple_bus_macro_slice6_G_X_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => simple_bus_macro_line6,
      I3 => VCC1,
      O => output4
    );
  simple_bus_macro_slice6_F_X_LUT4 : LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      I0 => VCC1,
      I1 => simple_bus_macro_line2,
      I2 => VCC1,
      I3 => VCC1,
      O => output5
    );


  simple_bus_macro_slice7_G_X_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => simple_bus_macro_line7,
      O => output6
    );
  simple_bus_macro_slice7_F_X_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => simple_bus_macro_line3,
      I3 => VCC1,
      O => output7
    );
--  NlwBlock_top_VCC : X_ONE
--    port map (
--      O => VCC
--    );
--Power: VCC
--	port map
--	(
--		P => VCC1
--	);

--  NlwBlockROC : X_ROC
--    generic map (ROC_WIDTH => 100 ns)
--    port map (O => GSR);
--  NlwBlockTOC : X_TOC
--    port map (O => GTS);

end Structure;

