--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     
--  \   \         
--  /   /         
-- /___/   /\     
-- \   \  /  \ 
--  \___\/\___\
--                   
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;


entity busmacro_xc4v_b2t_async_enable_wide is
  port (
    enable0 : in STD_LOGIC := 'X'; 
    enable1 : in STD_LOGIC := 'X'; 
    enable2 : in STD_LOGIC := 'X'; 
    enable3 : in STD_LOGIC := 'X'; 
    enable4 : in STD_LOGIC := 'X'; 
    enable5 : in STD_LOGIC := 'X'; 
    enable6 : in STD_LOGIC := 'X'; 
    enable7 : in STD_LOGIC := 'X'; 
    input0 : in STD_LOGIC := 'X'; 
    input1 : in STD_LOGIC := 'X'; 
    input2 : in STD_LOGIC := 'X'; 
    input3 : in STD_LOGIC := 'X'; 
    input4 : in STD_LOGIC := 'X'; 
    input5 : in STD_LOGIC := 'X'; 
    input6 : in STD_LOGIC := 'X'; 
    input7 : in STD_LOGIC := 'X'; 
    output0 : out STD_LOGIC; 
    output1 : out STD_LOGIC; 
    output2 : out STD_LOGIC; 
    output3 : out STD_LOGIC; 
    output4 : out STD_LOGIC; 
    output5 : out STD_LOGIC; 
    output6 : out STD_LOGIC; 
    output7 : out STD_LOGIC 
  );
end busmacro_xc4v_b2t_async_enable_wide;

architecture Structure of busmacro_xc4v_b2t_async_enable_wide is
  signal bus_macro_instance_line7 : STD_LOGIC; 
  signal bus_macro_instance_line3 : STD_LOGIC; 
  signal bus_macro_instance_line6 : STD_LOGIC; 
  signal bus_macro_instance_line2 : STD_LOGIC; 
  signal bus_macro_instance_line5 : STD_LOGIC; 
  signal bus_macro_instance_line1 : STD_LOGIC; 
  signal bus_macro_instance_line0 : STD_LOGIC; 
  signal bus_macro_instance_line4 : STD_LOGIC; 
  signal VCC : STD_LOGIC:='1'; 
begin
  bus_macro_instance_slice0_G_LUT4 : LUT4
    generic map(
      INIT => X"AA00"
    )
    port map (
      I0 => enable0,
      I1 => VCC,
      I2 => VCC,
      I3 => bus_macro_instance_line0,
      O => output0
    );
  bus_macro_instance_slice0_F_LUT4 : LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      I0 => enable1,
      I1 => VCC,
      I2 => bus_macro_instance_line4,
      I3 => VCC,
      O => output1
    );
  bus_macro_instance_slice1_G_LUT4 : LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      I0 => bus_macro_instance_line1,
      I1 => enable2,
      I2 => VCC,
      I3 => VCC,
      O => output2
    );
  bus_macro_instance_slice1_F_LUT4 : LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      I0 => VCC,
      I1 => enable3,
      I2 => VCC,
      I3 => bus_macro_instance_line5,
      O => output3
    );
   bus_macro_instance_slice2_G_LUT4 : LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      I0 => enable4,
      I1 => VCC,
      I2 => bus_macro_instance_line6,
      I3 => VCC,
      O => output4
    );
  bus_macro_instance_slice2_F_LUT4 : LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      I0 => enable5,
      I1 => bus_macro_instance_line2,
      I2 => VCC,
      I3 => VCC,
      O => output5
    );
  bus_macro_instance_slice3_G_LUT4 : LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      I0 => enable6,
      I1 => bus_macro_instance_line7,
      I2 => VCC,
      I3 => VCC,
      O => output6
    );
  bus_macro_instance_slice3_F_LUT4 : LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      I0 => enable7,
      I1 => VCC,
      I2 => bus_macro_instance_line3,
      I3 => VCC,
      O => output7
    );
  bus_macro_instance_slice4_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input0,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line0
    );
  bus_macro_instance_slice4_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input1,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line4
    );
  bus_macro_instance_slice5_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input2,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line1
    );
  bus_macro_instance_slice5_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input3,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line5
    );
  bus_macro_instance_slice6_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input4,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line6
    );
  bus_macro_instance_slice6_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input5,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line2
    );
  bus_macro_instance_slice7_G_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input6,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line7
    );
  bus_macro_instance_slice7_F_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input7,
      I1 => VCC,
      I2 => VCC,
      I3 => VCC,
      O => bus_macro_instance_line3
    );
end Structure;

