--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     
--  \   \         
--  /   /         
-- /___/   /\     
-- \   \  /  \ 
--  \___\/\___\
--             
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity busmacro_xc4v_l2r_sync_enable_wide is
  port (
    enable0 : in STD_LOGIC := 'X'; 
    enable1 : in STD_LOGIC := 'X'; 
    enable2 : in STD_LOGIC := 'X'; 
    enable3 : in STD_LOGIC := 'X'; 
    enable4 : in STD_LOGIC := 'X'; 
    enable5 : in STD_LOGIC := 'X'; 
    enable6 : in STD_LOGIC := 'X'; 
    enable7 : in STD_LOGIC := 'X'; 
    clk0 : in STD_LOGIC := 'X'; 
    clk1 : in STD_LOGIC := 'X'; 
    clk2 : in STD_LOGIC := 'X'; 
    clk3 : in STD_LOGIC := 'X'; 
    ce0 : in STD_LOGIC := 'X'; 
    ce1 : in STD_LOGIC := 'X'; 
    ce2 : in STD_LOGIC := 'X'; 
    ce3 : in STD_LOGIC := 'X'; 
    input0 : in STD_LOGIC := 'X'; 
    input1 : in STD_LOGIC := 'X'; 
    input2 : in STD_LOGIC := 'X'; 
    input3 : in STD_LOGIC := 'X'; 
    input4 : in STD_LOGIC := 'X'; 
    input5 : in STD_LOGIC := 'X'; 
    input6 : in STD_LOGIC := 'X'; 
    input7 : in STD_LOGIC := 'X'; 
    output0 : out STD_LOGIC; 
    output1 : out STD_LOGIC; 
    output2 : out STD_LOGIC; 
    output3 : out STD_LOGIC; 
    output4 : out STD_LOGIC; 
    output5 : out STD_LOGIC; 
    output6 : out STD_LOGIC; 
    output7 : out STD_LOGIC 
  );
end busmacro_xc4v_l2r_sync_enable_wide;

architecture Structure of busmacro_xc4v_l2r_sync_enable_wide is
  signal VCC1 : STD_LOGIC :='1';
  signal GND1 : STD_LOGIC := '0';
  signal bus_macro_instance_line7 : STD_LOGIC; 
  signal bus_macro_instance_line3 : STD_LOGIC; 
  signal bus_macro_instance_line6 : STD_LOGIC; 
  signal bus_macro_instance_line2 : STD_LOGIC; 
  signal bus_macro_instance_line1 : STD_LOGIC; 
  signal bus_macro_instance_line5 : STD_LOGIC; 
  signal bus_macro_instance_line0 : STD_LOGIC; 
  signal bus_macro_instance_line4 : STD_LOGIC; 
  signal bus_macro_instance_bus_macro_instance_slice4_G : STD_LOGIC;
  signal bus_macro_instance_bus_macro_instance_slice4_F : STD_LOGIC;
  signal bus_macro_instance_bus_macro_instance_slice5_G : STD_LOGIC;
  signal bus_macro_instance_bus_macro_instance_slice5_F : STD_LOGIC;	
  signal bus_macro_instance_bus_macro_instance_slice6_G : STD_LOGIC;
  signal bus_macro_instance_bus_macro_instance_slice6_F : STD_LOGIC;
  signal bus_macro_instance_bus_macro_instance_slice7_G : STD_LOGIC;
  signal bus_macro_instance_bus_macro_instance_slice7_F : STD_LOGIC;
begin
  bus_macro_instance_bus_macro_instance_slice0_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
      )
    port map (
      I0 => input0,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => bus_macro_instance_line0
    );
  bus_macro_instance_bus_macro_instance_slice0_F_X_LUT4 : LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      I0 => input1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => VCC1,
      O => bus_macro_instance_line4
    );
  bus_macro_instance_bus_macro_instance_slice1_G_X_LUT4 : LUT4
    generic map(
      INIT => X"F0F0"
		)
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => input2,
      I3 => VCC1,
      O => bus_macro_instance_line1
    );
  bus_macro_instance_bus_macro_instance_slice1_F_X_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
		)
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => input3,
      O => bus_macro_instance_line5
    );
  bus_macro_instance_bus_macro_instance_slice2_G_X_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => input4,
      O => bus_macro_instance_line6
    );
  bus_macro_instance_bus_macro_instance_slice2_F_X_LUT4 : LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => VCC1,
      I3 => input5,
      O => bus_macro_instance_line2
    );
  bus_macro_instance_bus_macro_instance_slice3_G_X_LUT4 : LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      I0 => VCC1,
      I1 => input6,
      I2 => VCC1,
      I3 => VCC1,
      O => bus_macro_instance_line7
    );
  bus_macro_instance_bus_macro_instance_slice3_F_X_LUT4 : LUT4
    generic map(
      INIT => X"CCCC"
		)
    port map (
      I0 => VCC1,
      I1 => input7,
      I2 => VCC1,
      I3 => VCC1,
      O => bus_macro_instance_line3
    );
  bus_macro_instance_bus_macro_instance_slice4_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AA00"
    )
    port map (
      I0 => enable0,
      I1 => VCC1,
      I2 => VCC1,
      I3 => bus_macro_instance_line0,
      O => bus_macro_instance_bus_macro_instance_slice4_G
    );
  bus_macro_instance_bus_macro_instance_slice4_FFY_ASYNC_FF : FDCE
    generic map(

      INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice4_G,
      CE => ce0,
      C => clk0,
      CLR => GND1, 
		Q => output0
    );
  bus_macro_instance_bus_macro_instance_slice4_F_X_LUT4 : LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      I0 => bus_macro_instance_line4,
      I1 => VCC1,
      I2 => enable1,
      I3 => VCC1,
      O => bus_macro_instance_bus_macro_instance_slice4_F
    );
  bus_macro_instance_bus_macro_instance_slice4_FFX_ASYNC_FF : FDCE
    generic map(
       INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice4_F,
      CE => ce0,
      C => clk0,
      CLR => GND1,
      Q => output1
    );
  bus_macro_instance_bus_macro_instance_slice5_G_X_LUT4 : LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      I0 => enable2,
      I1 => VCC1,
      I2 => bus_macro_instance_line1,
      I3 => VCC1,
      O => bus_macro_instance_bus_macro_instance_slice5_G
    );
  bus_macro_instance_bus_macro_instance_slice5_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice5_G,
      CE => ce1,
      C => clk1,
      CLR => GND1,
      Q => output2
    );
  bus_macro_instance_bus_macro_instance_slice5_F_X_LUT4 : LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      I0 => enable3,
      I1 => bus_macro_instance_line5,
      I2 => VCC1,
      I3 => VCC1,
      O => bus_macro_instance_bus_macro_instance_slice5_F
    );
  bus_macro_instance_bus_macro_instance_slice5_FFX_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice5_F,
      CE => ce1,
      C => clk1,
      CLR => GND1,
		Q => output3
    );
  bus_macro_instance_bus_macro_instance_slice6_G_X_LUT4 : LUT4
    generic map(
      INIT => X"C0C0"
    )
    port map (
      I0 => VCC1,
      I1 => enable4,
      I2 => bus_macro_instance_line6,
      I3 => VCC1,
      O => bus_macro_instance_bus_macro_instance_slice6_G
    );
  bus_macro_instance_bus_macro_instance_slice6_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice6_G,
      CE => ce2,
      C => clk2,
      CLR => GND1,
      Q => output4
    );
  bus_macro_instance_bus_macro_instance_slice6_F_X_LUT4 : LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      I0 => VCC1,
      I1 => bus_macro_instance_line2,
      I2 => VCC1,
      I3 => enable5,
      O => bus_macro_instance_bus_macro_instance_slice6_F
    );
  bus_macro_instance_bus_macro_instance_slice6_FFX_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice6_F,
      CE => ce2,
      C => clk2,
      CLR => GND1,
      Q => output5
    );
  bus_macro_instance_bus_macro_instance_slice7_G_X_LUT4 : LUT4
    generic map(
      INIT => X"AA00"
    )
    port map (
      I0 => enable6,
      I1 => VCC1,
      I2 => VCC1,
      I3 => bus_macro_instance_line7,
      O => bus_macro_instance_bus_macro_instance_slice7_G
    );
  bus_macro_instance_bus_macro_instance_slice7_FFY_ASYNC_FF : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice7_G,
      CE => ce3,
      C => clk3,
      CLR => GND1,
      Q => output6
    );
  bus_macro_instance_bus_macro_instance_slice7_F_X_LUT4 : LUT4
    generic map(
      INIT => X"F000"
    )
    port map (
      I0 => VCC1,
      I1 => VCC1,
      I2 => bus_macro_instance_line3,
      I3 => enable7,
      O => bus_macro_instance_bus_macro_instance_slice7_F
    );
  bus_macro_instance_bus_macro_instance_slice7_FFX_ASYNC_FF : FDCE
    generic map(
        INIT => '0'
    )
    port map (
      D => bus_macro_instance_bus_macro_instance_slice7_F,
      CE => ce3,
      C => clk3,
      CLR => GND1,
      Q => output7
    );

end Structure;

