--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     
--  \   \         
--  /   /         
-- /___/   /\     
-- \   \  /  \ 
--  \___\/\___\
--                   
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;


entity busmacro_xc5v_async is
  port (
    input0 : in STD_LOGIC := 'X';
    input1 : in STD_LOGIC := 'X'; 
    input2 : in STD_LOGIC := 'X'; 
    input3 : in STD_LOGIC := 'X'; 
    output0 : out STD_LOGIC;
    output1 : out STD_LOGIC;
    output2 : out STD_LOGIC;
    output3 : out STD_LOGIC

  );
end busmacro_xc5v_async;

architecture Structure of busmacro_xc5v_async is
 signal GND : STD_LOGIC:='0';
begin
  bus_macro_instance_LUT6_A : LUT6
    generic map(
      INIT => X"AAAAAAAAAAAAAAAA"
    )
    port map (
      I0 => input0,
      I1 => GND,
      I2 => GND,
      I3 => GND,
      I4 => GND,
      I5 => GND,
      O => output0
    );
  bus_macro_instance_LUT6_B : LUT6
    generic map(
      INIT => X"AAAAAAAAAAAAAAAA"
    )
    port map (
      I0 => input1,
      I1 => GND,
      I2 => GND,
      I3 => GND,
      I4 => GND,
      I5 => GND,
      O => output1
    );
  bus_macro_instance_LUT6_C : LUT6
    generic map(
      INIT => X"AAAAAAAAAAAAAAAA"
    )
    port map (
      I0 => input2,
      I1 => GND,
      I2 => GND,
      I3 => GND,
      I4 => GND,
      I5 => GND,
      O => output2
    );
  bus_macro_instance_LUT6_D : LUT6
    generic map(
      INIT => X"AAAAAAAAAAAAAAAA"
    )
    port map (
      I0 => input3,
      I1 => GND,
      I2 => GND,
      I3 => GND,
      I4 => GND,
      I5 => GND,
      O => output3
    );
end Structure;

