library IEEE;
use IEEE.STD_LOGIC_1164.all;
entity mux_custom is
	port(
 input			: in  std_logic_vector(135 downto 0);
addr			: in  std_logic_vector(4 downto 0);
output			: out std_logic_vector(7 downto 0)
);end mux_custom;

architecture RTL of mux_custom is
begin
MULTIPLEX_PROC : process(addr) is 
begin
case addr is
when "00000" =>
output <= input(7 downto 0);
when "00001" =>
output <= input(15 downto 8);
when "00010" =>
output <= input(23 downto 16);
when "00011" =>
output <= input(31 downto 24);
when "00100" =>
output <= input(39 downto 32);
when "00101" =>
output <= input(47 downto 40);
when "00110" =>
output <= input(55 downto 48);
when "00111" =>
output <= input(63 downto 56);
when "01000" =>
output <= input(71 downto 64);
when "01001" =>
output <= input(79 downto 72);
when "01010" =>
output <= input(87 downto 80);
when "01011" =>
output <= input(95 downto 88);
when "01100" =>
output <= input(103 downto 96);
when "01101" =>
output <= input(111 downto 104);
when "01110" =>
output <= input(119 downto 112);
when "01111" =>
output <= input(127 downto 120);
when "10000" =>
output <= input(135 downto 128);
when others =>
output <= (others => '0');
end case;
end process MULTIPLEX_PROC;
end architecture RTL;
