-------------------------------------------------------------------------------
--
-- Title       : shift_registerSIPO
-- Design      : serial_shift_registers
-- Author      : Vegard	Endresen
-- Company     : NTNU
-- Description : Serial shift register, serial input parallel output
-------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity shift_registerSIPO is
	generic(	
		--register size
		C_SIZE	: natural :=8
	);

	port(
		clk			: in  std_logic;
		shift		: in  std_logic;
		shift_i		: in  std_logic;
		par_o		: out std_logic_vector(C_SIZE-1 downto 0)
	 );

end shift_registerSIPO;



architecture RTL  of shift_registerSIPO is

signal memory 	: std_logic_vector(C_SIZE-1 downto 0);  

begin
	
	par_o 		<= memory;
	
	WRITE_PROC : process(clk) is
	begin
	if(clk'event and clk ='1') then
		if shift ='1' then
			for i in C_SIZE-2 downto 0 loop
				memory(i) <= memory(i+1);
			end loop;
			memory(C_SIZE-1) <= shift_i;
		else	
			memory <= memory;	
		end if;
	end if;
	end process WRITE_PROC;

end RTL ;
