-------------------------------------------------------------------------------
--
-- Title       : si_register
-- Design      : addressable_architecture
-- Author      : Vegard
-- Company     : NTNU
-- Description : 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity si_register is
generic(
		C_SIZE : natural := 8
	);						  
	port(
	  clk 	  : in std_logic;
	  write	  : in std_logic;
	  data_i  : in std_logic_vector(C_SIZE-1 downto 0);
	  data_o  : out std_logic_vector(C_SIZE-1 downto 0)
	);

end si_register;


architecture si_register of si_register is

signal memory : std_logic_vector(C_SIZE-1 downto 0);

begin 
	
	data_o <= memory;
	
	MEMORY_PROC : process(clk) is
	begin
		if clk'event and clk='1' then 
			if write ='1' then 
				memory <= data_i ;
			else
				memory <= memory;
			end if;	   
		end if;
	end process MEMORY_PROC;

end si_register;


