-------------------------------------------------------------------------------
--
-- Title       : si_shift_register
-- Design      : addressable_architecture
-- Author      : Vegard
-- Company     : NTNU
-- Description : 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity si_shift_register is
	generic(	
		C_SIZE : natural := 8
	);						  
	port(
	  clk 	  : in std_logic;
	  write	  : in std_logic;
	  shift	  : in std_logic;
	  shift_i : in std_logic;
	  data_i  : in std_logic_vector(C_SIZE-1 downto 0);
	  data_o  : out std_logic_vector(C_SIZE-1 downto 0);
	  shift_o : out std_logic
	);


end si_shift_register;


architecture si_shift_register of si_shift_register is

signal memory : std_logic_vector(C_SIZE-1 downto 0);
begin
	
	data_o <= memory;
	shift_o <= memory(0);
	
	CNT_PROC : process(clk) is
	begin
		if clk'event and clk ='1' then
			if shift ='1' then 
				for i in C_SIZE-2 downto 0 loop
					memory(i) <= memory(i+1);
				end loop;
				memory(C_SIZE-1) <= shift_i;
	 	    elsif write ='1' then
				 memory <= data_i;
			else
				memory <= memory;
			end if;
		end if;
	end process CNT_PROC;

end si_shift_register;
