-------------------------------------------------------------------------------
--
-- Title       : shift_registerPISO
-- Design      : serial_shift_registers
-- Author      : Vegard Endresen
-- Company     : NTNU
-- Description : Serial shift register, paralell input - serial output
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity shift_registerPISO is
	generic( 
		--register size
		C_SIZE	: natural :=8
	);

	port(
		clk			: in  std_logic; 
		par_i		: in  std_logic_vector(C_SIZE-1 downto 0); 
		par_write	: in  std_logic;
		shift		: in  std_logic;
		shift_o		: out std_logic
	 );
	
	
end shift_registerPISO;

architecture RTL  of shift_registerPISO is

signal memory 	: std_logic_vector(C_SIZE-1 downto 0);

begin
	
	shift_o <= memory(0);
	
	WRITE_PROC : process(clk) is
	begin
	if(clk'event and clk ='1') then
		if shift='1' then	
			for i in C_SIZE-2 downto 0 loop
				memory(i) <= memory(i+1);
			end loop;
			memory(C_SIZE-1) <='0';
		elsif par_write ='1' then
			memory <= par_i;
		else
			memory <= memory;
		end if;
	end if;
	end process WRITE_PROC;
	
end RTL;
