-------------------------------------------------------------------------------
--
-- Title       : shift_register_counter
-- Design      : serial_architecture
-- Author      : Vegard
-- Company     : NTNU
-- Description : 
-------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.std_logic_unsigned.all;

entity shift_register_counter is
	generic(
		--register size
		C_SIZE	: natural :=8
	);

	port(
		clk			: in  std_logic;  
		count		: in  std_logic;
		shift		: in  std_logic;
		shift_i		: in  std_logic;
		shift_o		: out std_logic;
		par_o		: out std_logic_vector(C_SIZE-1 downto 0)
	 );
end shift_register_counter;


architecture shift_register_counter of shift_register_counter is

signal memory : std_logic_vector(C_SIZE-1 downto 0);

begin
	
	par_o <= memory;
	shift_o <= memory(0);
	
	CNT_PROC : process(clk) is
	begin
		if clk'event and clk ='1' then
			if shift ='1' then 
				for i in C_SIZE-2 downto 0 loop
					memory(i) <= memory(i+1);
				end loop;
				memory(C_SIZE-1) <= shift_i;
	 	    elsif count ='1' then
				 memory <= memory+1;
			else
				memory <= memory;
			end if;
		end if;
	end process CNT_PROC;
end shift_register_counter;
