/*************************************************************
*File			: multiplier.c
*Author			: Vegard Endresen
*Description	: Client application accessing hardware through
*				  the software register backend.
**************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <fcntl.h>
#define WBUFSIZE 160
#define RBUFSIZE 4

#define BACKEND "/var/sw_backend" //Device file path


/*Character array vs integer conversion functions*/

static void intToChar(char* buf, int value, int pos){
	int i,mask,tmp;
	mask = 0x000000FF;	
	for(i=0; i< 4; i++){
		tmp = (value & mask) >>(8*i);
		if(i==3) tmp = tmp & 0x000000FF;		;		
		buf[i+pos] =tmp;				
		mask = (mask <<8);
	}

}

static int charToInt(char *buf, int pos){
	int res,i,mask;
	mask = 0x000000FF;	
	res =0;
	for(i=0; i< 4; i++){
		res = res | ((buf[pos+i]<< 8*i) & mask);
		mask = (mask <<8);	
	}
	return res;
}


void synchronized_write(int handlemem,char *buf){
	int timer =0;	
	int ret;
	ret = pwrite(handlemem,buf,4, 0);
	while(1==1){
		 ret= pread(handlemem,buf,4,0);
		if((charToInt(buf,0) & 00000001) ==1){
			break;		
		}
		timer++;
		if(timer> 10000){
			printf("TE %x\n",charToInt(buf,0));
			break;
		}
	}
	intToChar(buf,0x20400000,0);
	ret = pwrite(handlemem,buf,4, 0);
	return;
}


int main(int argc, char * argv[])
{
  	printf("Application: multiplier\n");
	
	char *databuf = malloc(sizeof(char)*WBUFSIZE);
	char *readbuf = malloc(sizeof(char)*RBUFSIZE);

	int cnt =0; 
	unsigned int A, B;
	int handlemem;
	int ret,i,data;

	printf("Initializing buffers ...\n");
	for(i=0; i< WBUFSIZE; i++){
	  databuf[i] = 0;	
	}
	
	for(i=0; i< RBUFSIZE; i++){
	  readbuf[i] = 0;	
	}

	

	printf("A: ");
	scanf("%x", &A);
	printf("B: ");
	scanf("%x", &B);


	printf("Device driver open ...\n");
	handlemem = open(BACKEND,O_RDWR);
	if(handlemem == -1){
		printf("Device driver error\n");
		goto err;
	}
	else printf("Decive driver accessed HW\n");
	
	if(WBUFSIZE < 120){
		printf("bad generics\n");
		return 0;	
	}	


	//COUNTER TEST
	/*intToChar(readbuf,0x20800000,0);
	ret = pwrite(handlemem, readbuf,4, 0);
	
	intToChar(readbuf,0x20400000,0);
	ret = pwrite(handlemem, readbuf,4, 0);
		
	for(i=0; i< 20; i++){
		data += i >> 1;		
	}

	intToChar(readbuf,0x20000000,0);
	ret = pwrite(handlemem, readbuf,4, 0);

	for(i=0; i< 4; i++){
		ret = pread(handlemem, readbuf,4, i*4);
		printf("buf[%d] : %x\n",i,charToInt(readbuf,0));	
	}*/
	//END COUNTER TEST
	
	
	//SYNCH TEST
	/*intToChar(readbuf,0x20000000,0);
	ret = pwrite(handlemem, readbuf,4, 0);
	
	intToChar(readbuf,0x43400000,0);
	ret = pwrite(handlemem, readbuf,4, 0);
		
	for(i=0; i< 20; i++){
		data += i >> 1;		
	}

	for(i=0; i< 4; i++){
		ret = pread(handlemem, readbuf,4, i*4);
		printf("buf[%d] : %x\n",i,charToInt(readbuf,0));	
	}*/

	cnt =0;
	printf("Building data buffer ...\n");
	/*
	intToChar(databuf,0xA2000000,cnt);
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x5bf134f0,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0xabcdef12,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x00abcdef,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x0000004c,(cnt+=4));
	intToChar(databuf,0x44400000,(cnt+=4));
	intToChar(databuf,0xc0000000,(cnt+=4));
	//running multiplication
	intToChar(databuf,0x12345678,(cnt+=4));
	intToChar(databuf,0x53000000,(cnt+=4));
	intToChar(databuf,0xC0000000,(cnt+=4));	
	intToChar(databuf,0x53000000,(cnt+=4));	
	*/

	intToChar(databuf,0xA2000000,cnt);
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x5bf134f0,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0xabcdef12,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x00abcdef,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x0000004c,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	
	intToChar(databuf,0xA2000000,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x5bf134f0,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0xabcdef12,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x00abcdef,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x0000004c,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));

	intToChar(databuf,0xA2000000,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x5bf134f0,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0xabcdef12,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x00abcdef,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x0000004c,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));

	intToChar(databuf,0xA2000000,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x5bf134f0,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0xabcdef12,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x00abcdef,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));
	intToChar(databuf,0x0000004c,(cnt+=4));
	intToChar(databuf,0x43400000,(cnt+=4));


	/*for(i=0; i<15; i++){
		printf("buf[%d] : %x\n",i,charToInt(databuf,i*4));
	}*/

	//reset timer	
	intToChar(readbuf,0x20800000,0);
	ret = pwrite(handlemem, readbuf,4, 0);

	cnt =0;
	printf("Running program ...\n");
	
	//start	timer	
	intToChar(readbuf,0x20400000,0);
	ret = pwrite(handlemem, readbuf,4, 0);
	for(i=0; i< 15; i++){
		//data		
		data = charToInt(databuf,cnt);
		intToChar(readbuf,data,0);
		ret = pwrite(handlemem, readbuf,4, 4);
		
		//instruction
		data = charToInt(databuf,(cnt+=4));		
		intToChar(readbuf,data,0);
		//printf("instr: %x\n",charToInt(readbuf,0));
		//ret = pwrite(handlemem, readbuf,4, 0);
		synchronized_write(handlemem,readbuf);
		cnt = cnt+4;	
	}
	//stop counter
	intToChar(readbuf,0xc0000000,0);
	ret = pwrite(handlemem, readbuf,4, 0);	

	ret = pread(handlemem, readbuf,4, 12);	
	printf("count %x\n",charToInt(readbuf,0));

	/*int timer =0;
	while(1==1){
		ret = pread(handlemem, readbuf,4, 0); 		
		if((charToInt(readbuf,0) & 00000001) ==1){ 			
			intToChar(readbuf,0x00000000,0);	
			ret = pwrite(handlemem, readbuf,4, 0);
			ret = pread(handlemem, readbuf,4, 12);
			printf("Stopped counter at %x\n", charToInt(readbuf,0));						
			break;		
		}
		if(timer >100){
			printf("timer expired \n");
			break;
		}
		timer++;
	}


	//sync instruction
	data = charToInt(databuf,(cnt));		
	intToChar(readbuf,data,0);
	ret = pwrite(handlemem, readbuf,4, 0);
	//run instruction
	data = charToInt(databuf,(cnt+=4));		
	intToChar(readbuf,data,0);
	ret = pwrite(handlemem, readbuf,4, 0);
	

	for(i=0; i< 3; i++){
		ret = pread(handlemem,readbuf,4, i*4);
		if(ret!=4) cnt++; 
		printf("REG[%d]: %x\n",i,charToInt(readbuf,0));
	
	}	


	//wait
	for(i=0; i< 100; i++){
		data = i>>3;
	}	

	cnt = cnt+4;
	//loop data[18:20] two times:
	for(i=0; i< 2; i++){
		//write sync		
		data = charToInt(databuf,(cnt));		
		intToChar(readbuf,data,0);
		ret = pwrite(handlemem, readbuf,4, 0);
		ret = pread(handlemem,readbuf,4,0);
		printf("IR : %x\n",charToInt(readbuf,0));
		//write data
		data = charToInt(databuf,(cnt+4));		
		intToChar(readbuf,data,0);
		ret = pwrite(handlemem, readbuf,4, 4);
		
		ret = pread(handlemem,readbuf,4,4);
		printf("DR1 : %x\n",charToInt(readbuf,0));

		//write instruction
		data = charToInt(databuf,(cnt+8));		
		intToChar(readbuf,data,0);
		ret = pwrite(handlemem, readbuf,4, 0);
	
	
		
	}
	cnt = cnt+12;
	
	//run
	data = charToInt(databuf,(cnt+=4));		
	intToChar(readbuf,data,0);
	ret = pwrite(handlemem, readbuf,4, 0);

	//loop data[18:20] two times:
	for(i=0; i< 2; i++){
		//write sync		
		data = charToInt(databuf,(cnt));		
		intToChar(readbuf,data,0);
		ret = pwrite(handlemem, readbuf,4, 0);
		
		//write instruction
		data = charToInt(databuf,(cnt+4));		
		intToChar(readbuf,data,0);
		ret = pwrite(handlemem, readbuf,4, 0);
		cnt = cnt+4;	
	}




	for(i=0; i< 3; i++){
		ret = pread(handlemem,readbuf,4, i*4);
		if(ret!=4) cnt++; 
		printf("REG[%d]: %x\n",i,charToInt(readbuf,0));
	
	}
	*/
	err:
  	close(handlemem);
 	free(databuf);
	free(readbuf);
  return 0;
}
