/********************************************************
*File			: devicelist.h
*Author			: Vegard Endresen
*Description	: Header file for device driver structure
*********************************************************/

#ifndef DEVICE_LIST_H
#define DEVICE_LIST_H

/*Longes allowed path for device file*/
#define MAX_PATH_SIZE 40

/*Device driver descriptor*/
struct device_struct{	
	struct device_struct *next;
	struct device_struct *prev;
	int major; 	
	char devicePath[MAX_PATH_SIZE];
};

typedef struct device_struct device_t;

/*Public functions, can be reduced as not all are neccessary*/

int getNumDevices();
int  getDeviceByMajor(int major, device_t ** dev);
void insertDevice(int major, char devicePath[],int pathSize);
void removeDevice(int major);
void clearDevices();
device_t * getFirstDevice();

#endif

