/********************************************************
*File			: pools.h
*Author			: Vegard Endresen
*Description	: Header file for data structure holding
				  memory pool identifiers.
*********************************************************/

#ifndef POOLS_H
#define POOLS_H

struct pool_struct{	
	struct pool_struct *next;
	struct pool_struct *prev;
	int id; 		/*Id of process owning the pool*/
	int base_addr;	/*Base address of pool*/
	int size;		/*Size of pool*/
};

typedef struct pool_struct pool_t;

/*Public functions, can be reduced as not all are neccessary*/

void insertPool(int id,int base_addr,int size);
void removePool(int id);

int  getPoolById(int id, pool_t ** pool);
int  getPoolByAddr(int addr, pool_t ** pool);
void setPool(int id,int id_,int base_addr_, int size_);
void setId(int id,int id_);
void clearAll();
pool_t *getFirst();

#endif


