/********************************************************
*File			: queuelist.h
*Author			: Vegard Endresen
*Description	: Header file structure holding 
				  message queue identifiers.
*********************************************************/

#ifndef QUEUELIST_H
#define QUEUELIST_H

struct queue_struct{	
	struct queue_struct *next;
	struct queue_struct *prev;
	int key; /*Message queue key, used under creation*/	
	int id;  /*Message queue id, used for sending*/
};

typedef struct queue_struct queue_t;

/*Public functions, can be reduced as not all are neccessary*/
int getNumQueues();
int  getQueueByKey(int key, queue_t ** queue);
void insertQueue(int key,int id);
void removeQueue(int key);
void clearQueues();
queue_t * getFirstQueue();

#endif

