-------------------------------------------------------------------------------
--
-- Title       : testbench_module
-- Design      : comparator
-- Author      : Vegard
-- Company     : NTNU
--
-------------------------------------------------------------------------------
--
-- File        : testbench_module.vhd
-- Generated   : Tue May 25 15:30:56 2010
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
-------------------------------------------------------------------------------
--
-- Description : 
--
-------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {testbench_module} architecture {testbench_module}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity backend is
	generic(
		constant OPERAND_SIZE      : natural	:=32;
		constant SHIFT_SIZE			: natural   :=8;
		constant LOG_OPERAND_SIZE	: natural   :=5
	
	);
	
	port(
		clk			: in std_logic;
		reset			: in std_logic;
		run			: in std_logic; 
		addr			: in std_logic;
		zerofill		: in std_logic;
		shift_g		: in std_logic;
	   shift_i		: in std_logic_vector(SHIFT_SIZE-1 downto 0);
		shift_o		: out std_logic_vector(SHIFT_SIZE-1 downto 0);
		finish		: out std_logic
		
	);

end backend;

--}} End of automatically maintained section

architecture testbench_module of backend is

	--Bus macro output signals
	signal bm_o_shift_i 	: std_logic_vector(SHIFT_SIZE-1 downto 0);
	signal bm_o_run			: std_logic; 
	signal bm_o_reset		: std_logic;
	signal bm_o_addr		: std_logic;
	signal bm_o_zerofill	: std_logic;
	signal bm_o_shift_g		: std_logic;


	--Bus macro input signals
	signal bm_i_shift_o 	: std_logic_vector(SHIFT_SIZE-1 downto 0);
	signal bm_i_finish		: std_logic; 
	signal bm_o_zero : std_logic;

   signal zeros : std_logic_vector(SHIFT_SIZE-1 downto 0);

		
	component busmacro_xc4v_l2r_async_wide is
    port (
		input0 : in std_logic;
		input1 : in std_logic;
		input2 : in std_logic;
		input3 : in std_logic;
		input4 : in std_logic;
		input5 : in std_logic;
		input6 : in std_logic;
		input7 : in std_logic;
		output0 : out std_logic;
		output1 : out std_logic;
		output2 : out std_logic;
		output3 : out std_logic;
		output4 : out std_logic;
		output5 : out std_logic;
		output6 : out std_logic;
		output7 : out std_logic
    );
	 end component;
component busmacro_xc4v_r2l_async_wide is
    port (
		input0 : in std_logic;
		input1 : in std_logic;
		input2 : in std_logic;
		input3 : in std_logic;
		input4 : in std_logic;
		input5 : in std_logic;
		input6 : in std_logic;
		input7 : in std_logic;
		output0 : out std_logic;
		output1 : out std_logic;
		output2 : out std_logic;
		output3 : out std_logic;
		output4 : out std_logic;
		output5 : out std_logic;
		output6 : out std_logic;
		output7 : out std_logic
    );
end component;
	

	
begin
	
	zeros <= (others =>'0');
	bm_o_zero <= '0';

	-- Data left to right
	bm_l2r_data: component busmacro_xc4v_l2r_async_wide
	port map(
			
		input0 => shift_i(0),
		input1 => shift_i(1),
		input2 => shift_i(2),
		input3 => shift_i(3),
		input4 => shift_i(4),
		input5 => shift_i(5),
		input6 => shift_i(6),
		input7 => shift_i(7),
		
		output0 =>  bm_o_shift_i(0),
		output1 =>  bm_o_shift_i(1),
		output2 =>  bm_o_shift_i(2),
		output3 =>  bm_o_shift_i(3),
		output4 =>  bm_o_shift_i(4),
		output5 =>  bm_o_shift_i(5),
		output6 =>  bm_o_shift_i(6),
		output7 =>  bm_o_shift_i(7)
	);										 
	

	-- Control signals left to right
	bm_l2r_ctrl: component busmacro_xc4v_l2r_async_wide
	port map(
			
		input0 => zeros(0),
		input1 => run,
		input2 => addr,
		input3 => zerofill,
		input4 => shift_g,
		input5 => reset,
		input6 => zeros(0),
		input7 => zeros(0),
		
		output0 =>  open,
		output1 =>  bm_o_run,
		output2 =>  bm_o_addr,
		output3 =>  bm_o_zerofill,
		output4 =>  bm_o_shift_g,
		output5 =>  bm_o_reset,
		output6 =>  open ,
		output7 =>  open
	);
	
	
	
	-- Data right to left
	bm_r2l_data: component busmacro_xc4v_r2l_async_wide
	port map(
			
		input0 => bm_i_shift_o(0),
		input1 => bm_i_shift_o(1),
		input2 => bm_i_shift_o(2),
		input3 => bm_i_shift_o(3),
		input4 => bm_i_shift_o(4),
		input5 => bm_i_shift_o(5),
		input6 => bm_i_shift_o(6),
		input7 => bm_i_shift_o(7),
		
		output0 =>  shift_o(0),
		output1 =>  shift_o(1),
		output2 =>  shift_o(2),
		output3 =>  shift_o(3),
		output4 =>  shift_o(4),
		output5 =>  shift_o(5),
		output6 =>  shift_o(6),
		output7 =>  shift_o(7)
	);		
	
	-- Control signals right to left
	bm_r2l_ctrl: component busmacro_xc4v_r2l_async_wide
	port map(
			
		input0 => bm_i_finish,
		input1 => bm_o_zero,
		input2 => bm_o_zero,
		input3 => bm_o_zero,
		input4 => bm_o_zero,
		input5 => bm_o_zero,
		input6 => bm_o_zero,
		input7 => bm_o_zero,
		
		output0 =>  finish,
		output1 =>  open,
		output2 =>  open,
		output3 =>  open,
		output4 =>  open,
		output5 =>  open,
		output6 =>  open,
		output7 =>  open
	);		
	
	
	
	COMP_MOD : entity comparator_module 
		generic map(
			OPERAND_SIZE => OPERAND_SIZE,
			SHIFT_SIZE => SHIFT_SIZE,
			LOG_OPERAND_SIZE => LOG_OPERAND_SIZE
		)
		port map(
			clk 	 => clk,		
			reset    => bm_o_reset,
			addr 	 => bm_o_addr,
			zerofill => bm_o_zerofill,
			shift_i  => bm_o_shift_i,
			shift_o  => bm_i_shift_o,
			shift_g  => bm_o_shift_g,
			run 	 => bm_o_run,
			finish   => bm_i_finish	
		);

	

end testbench_module;
