-------------------------------------------------------------------------------
--
-- Title       : Testbench
-- Design      : comparator
-- Author      : Vegard
-- Company     : NTNU 
-- File        : testbench.vhd
-- Description : 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity testbench is
end testbench;

architecture testbench of testbench is


	constant C_WIDTH : natural :=32;
    constant C_LOG_WIDTH : natural :=5;
	constant T_CLK : time :=10ns;
	
	signal clk		   : std_logic;
	signal reset	   : std_logic;
	signal start	   : std_logic;
	signal operand_a   : std_logic_vector(C_WIDTH-1 downto 0);
	signal operand_b   : std_logic_vector(C_WIDTH-1 downto 0);
	signal comparison  : std_logic_vector(1 downto 0);
	signal complete    : std_logic;


begin
	
	CLK_GEN : process is
	begin
		clk <='0'; 
		wait for T_CLK/2;
		clk <='1';
		wait for T_CLK/2;
	end process CLK_GEN;
	
	
	COMP : entity comparator
		generic map(
			C_WIDTH => C_WIDTH,
			C_LOG_WIDTH => C_LOG_WIDTH
		)
		port map(
			Clk => clk,
			Reset => reset,
			Start => start,
			Operand_a => operand_a,
			Operand_b => operand_b,
			Comparison => comparison,
			Complete => complete
		);
	
	  STIMULI : process is
	  begin
		  reset <= '1';
		  start <= '0';
		  operand_a <= x"2BCDEF12";
		  operand_b <= x"ABCDEF12";
		  wait for T_CLK;
		  reset <= '0';
		  start <= '1';
		  wait for T_CLK;
		  start <='0';
	      
		  while complete ='0' loop
			  wait for T_CLK;
		  end loop;
		 
		  wait;
	  end process STIMULI;
	
		
		
		
end Testbench;
